Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451389 - Suspend broken on Radeon Mobility HD 2600 Series
Summary: Suspend broken on Radeon Mobility HD 2600 Series
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 23:15 UTC by Martin Ebourne
Modified: 2018-04-11 09:10 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-drv-ati-6.9.0-38.fc10.x86_64
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-11 00:50:42 UTC


Attachments (Terms of Use)
Non-working suspend-resume with xorg-x11-drv-ati-6.8.0-17 (deleted)
2008-06-14 09:53 UTC, Martin Ebourne
no flags Details
Working suspend-resume with xorg-x11-drv-ati-6.8.0-16 (deleted)
2008-06-14 09:54 UTC, Martin Ebourne
no flags Details

Description Martin Ebourne 2008-06-13 23:15:44 UTC
Description of problem:
Tried latest update from koji but suspend is now broken.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-17.fc9.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Suspend to RAM
2. Resume from suspend
  
Actual results:
Backlight remains off, screen black. If I try to change VT backlight comes on
but remains permanently blank.

Expected results:
Normal X display

Additional info:
xorg-x11-drv-ati-6.8.0-16.fc9.x86_64 is working fine

Comment 1 Matěj Cepl 2008-06-13 23:27:48 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Martin Ebourne 2008-06-14 09:53:14 UTC
Created attachment 309335 [details]
Non-working suspend-resume with xorg-x11-drv-ati-6.8.0-17

Comment 3 Martin Ebourne 2008-06-14 09:54:03 UTC
Created attachment 309336 [details]
Working suspend-resume with xorg-x11-drv-ati-6.8.0-16

Comment 4 Martin Ebourne 2008-06-14 09:55:17 UTC
Both log files above using automatic configuration.

Comment 5 Martin Ebourne 2008-07-17 21:06:30 UTC
Same problem still on xorg-x11-drv-ati-6.8.0-18.fc9.

Comment 6 Martin Ebourne 2008-10-05 11:45:26 UTC
Suspend still broken in the same way with xorg-x11-drv-ati-6.8.0-19.fc9.

Comment 7 Martin Ebourne 2008-10-05 19:27:24 UTC
Suspend still broken on F10 beta 2 live CD.

What can I do to help debug this? Would be really bad if F10 shipped with suspend broken when it worked with F9.

Comment 8 Martin Ebourne 2008-11-10 20:28:42 UTC
This appears fixed on F10 preview release.

xorg-x11-drv-ati-6.9.0-38.fc10.x86_64
kernel-2.6.27.4-79.fc10.x86_64


Note You need to log in before you can comment on or make changes to this bug.